/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core;

import net.sourceforge.wurfl.core.resource.WURFLModel;

/**
 * Abstract implementation of {@link CapabilitiesHolderFactory}.
 * 
 * <p>
 * It references WURFLModel instance.
 * </p>
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: AbstractCapabilitiesHolderFactory.java 633 2011-05-11 20:37:08Z ermanno.franco $
 */
public abstract class AbstractCapabilitiesHolderFactory implements
		CapabilitiesHolderFactory {

	/** Held WURFLModel */
	protected WURFLModel model;

	/**
	 * Constructor by WURFLModel.
	 * 
	 * @param model
	 *            The WURFLModel instance.
	 */
	public AbstractCapabilitiesHolderFactory(WURFLModel model) {
		this.model = model;
	}

}