/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core;


/**
 * Factory for Device instances.
 * <p>
 * Provide a method to get a Device from device identifier.
 * </p>
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: DeviceProvider.java 633 2011-05-11 20:37:08Z ermanno.franco $
 */
public interface DeviceProvider {

	/**
	 * Returns the device identified by given id.
	 * 
	 * @param id
	 *            The identifier
	 * @return Device instance identified by id.
	 * @throws DeviceNotDefinedException
	 *             if Device with given identifier is not defined in WURFL.
	 */
	Device getDevice(String id) throws DeviceNotDefinedException;
	
}
