/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core;

/**
 * This interface is used to resolve a device's MarkUp.
 * 
 * <p>
 * Different environments can use different MarkUp for the same device.
 * Implementing this interface permit to personalize resolved MarkUp.
 * </p>
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: MarkupResolver.java 633 2011-05-11 20:37:08Z ermanno.franco $
 */
public interface MarkupResolver {

	/**
	 * Resolve the MarkUp for the given Device.
	 * 
	 * @param device
	 *            The Device to resolve the MarkUp against.
	 * @return The MarkUp resolved for the given Device.
	 */
	MarkUp getMarkupForDevice(Device device);

}
