/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.cache;

/**
 * Provide cache feature.
 * 
 * <p>
 * Add support to some funny cache library implementing this interface.
 * </p>
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: CacheProvider.java 633 2011-05-11 20:37:08Z ermanno.franco $
 */
public interface CacheProvider {

	/**
	 * Returns the cached item.
	 * 
	 * @param key
	 *            The cached item key.
	 * @return Cached Object, null if this cache does not contain it.
	 */
	Object get(Object key);

	/**
	 * Put an item in cache associated to a key.
	 * 
	 * @param key
	 *            The caching item key.
	 * @param value
	 *            The caching item.
	 */
	void put(Object key, Object value);

	/**
	 * Remove all items from cache.
	 */
	void clear();
}
