/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.matchers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;
import net.sourceforge.wurfl.core.utils.UserAgentUtils;
import org.apache.commons.lang.StringUtils;

/**
 * Handles Firefox web browser using TK(2).
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: FirefoxMatcher.java 672 2011-06-22 19:22:21Z ermanno.franco $
 */
public class FirefoxMatcher extends AbstractMatcher {
	
	//public static final int FIREFOX_TK_TOLLERANCE = 2;
	
	private static final String FIREFOX = "Firefox";

    /**
     * Build AbstractMatcher by handler and collected devices by user-agent.
     *
     * @param normalizer
     */
    public FirefoxMatcher(UserAgentNormalizer normalizer) {
        super(normalizer);
    }

    /**
	 * Checks the given UA is not mobile browser and contains "Firefox".
	 */
	public boolean canHandle(String userAgent) {
		return !UserAgentUtils.isMobileBrowser(userAgent) && StringUtils.contains(userAgent, FIREFOX);
	}


}
