/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.matchers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;
import net.sourceforge.wurfl.core.utils.StringUtils;

import java.util.SortedSet;

/**
 * @author Fantayeneh Asres Gizaw
 */
public class MaemoBrowserMatcher extends AbstractMatcher {


    /**
     * Build AbstractMatcher by handler and collected devices by user-agent.
     *
     * @param normalizer
     */
    public MaemoBrowserMatcher(UserAgentNormalizer normalizer) {
        super(normalizer);
    }

    public boolean canHandle(String userAgent) {
        return userAgent.indexOf("Maemo ") != -1;
    }


    protected String lookForMatchingUserAgent(SortedSet userAgentsSet, String userAgent) {
        return StringUtils.risMatch(userAgentsSet, userAgent, StringUtils.firstSpace(userAgent));
    }
}
