/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * Factory for {@link UserAgentNormalizer}.
 * 
 * <p>
 * The factories for UserAgentNormalizer must implement this interface.
 * </p>
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: UserAgentNormalizerFactory.java 633 2011-05-11 20:37:08Z ermanno.franco $
 */
public interface UserAgentNormalizerFactory {

	/**
	 * Create the UserAgentNormalizer.
	 * 
	 * @return The builded UserAgentNormalizer.
	 */
	UserAgentNormalizer create();
}
