/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request;

import javax.servlet.http.HttpServletRequest;

/**
 * User-Agent resolver.
 * <p>
 * Interface used to retrieve user-agent header from HTTP request.
 * </p>
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: UserAgentResolver.java 633 2011-05-11 20:37:08Z ermanno.franco $
 */
public interface UserAgentResolver {

	/**
	 * Resolve User-Agent header from HTTP request.
	 * 
	 * @param request
	 *            The HTTP request
	 * @return String contains user-agent the request come from.
	 */
	String resolve(HttpServletRequest request);

}
