/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request;

/**
 * Factory of {@link UserAgentResolver}
 * <p>
 * Build instances of {@link UserAgentResolver}
 * </p>
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: UserAgentResolverFactory.java 633 2011-05-11 20:37:08Z ermanno.franco $
 */
public interface UserAgentResolverFactory {
	
	/**
	 * Build UserAgentResolver instance.
	 * 
	 * @return UserAgentResolver instance.
	 */
	UserAgentResolver create();

}
