/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request;

/**
 * Abstraction of HTTP request.
 * 
 * <p>
 * This interface is used along the WURFL api. 
 * </p>
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: WURFLRequest.java 633 2011-05-11 20:37:08Z ermanno.franco $
 */
public interface WURFLRequest {

	/**
	 * Return the user-agent of requester.
	 * 
	 * @return A requester user-agent String
	 */
	String getUserAgent();

	/**
	 * Return the requester UAProf URL.
	 * 
	 * @return The URL of requester UAProf
	 */
	String getUserAgentProfile();

}
