/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request.normalizer.generic;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;
import org.apache.commons.lang.StringUtils;

/**
 * BlackBerry normalizer.
 * 
 * <p>
 * Strips out the heading "BlackBerry" string.
 * </P>
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: BlackBerryNormalizer.java 633 2011-05-11 20:37:08Z ermanno.franco $
 */
public class BlackBerryNormalizer implements UserAgentNormalizer {

	/**
	 * Removes the substring before "BlackBerry" occurrence in the given string.
	 */
	public String normalize(String userAgent) {

		String normalizedUserAgent = userAgent;

        int index = StringUtils.indexOf(userAgent, "BlackBerry");

		if (index > 0 && !StringUtils.contains(userAgent, "AppleWebKit")) {

			normalizedUserAgent = userAgent.substring(index);

		}


		return normalizedUserAgent;
	}

}
