/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request.normalizer.generic;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author Fantayeneh Asres Gizaw
 */
public class NovarraGoogleTranslatorRemover implements UserAgentNormalizer {

    private static final Pattern NOVARRA_GOOGLETRANSLATOR_PATTERN = Pattern.compile("(\\sNovarra-Vision.*)|(,gzip\\(gfe\\)\\s+\\(via translate.google.com\\))");
    
    public String normalize(String userAgent) {
        Matcher matcher = NOVARRA_GOOGLETRANSLATOR_PATTERN.matcher(userAgent);
        return matcher.replaceFirst("");

    }
}
