/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request.normalizer.specific;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;
import org.apache.commons.lang.StringUtils;

/**
 * This Normalizer returns Chrome with major versio from given user-agent.
 * 
 * @author Tommaso Teofili
 * @author Filippo De Luca
 * 
 * @version $Id: ChromeNormalizer.java 633 2011-05-11 20:37:08Z ermanno.franco $
 */
public class ChromeNormalizer implements UserAgentNormalizer {
	
	/**
	 * Return the Chrome string with the major version  
	 *
	 * @param userAgent
	 * @return String
	 */
	public String normalize(String userAgent) {
		
		String normalized = userAgent;
		
		if(StringUtils.contains(userAgent, "Chrome")) {
			int start = userAgent.indexOf("Chrome");
			normalized = StringUtils.substring(userAgent, start, start + 8);
		}

		return  normalized;
	}

}
