/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request.normalizer.specific;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;
import org.apache.commons.lang.StringUtils;

/**
 * Return the firefox string with the major and minor version only. 
 * 
 * @author Tommaso Teofili
 * @author Filippo De Luca
 * 
 * @version $Id: FirefoxNormalizer.java 633 2011-05-11 20:37:08Z ermanno.franco $
 */
public class FirefoxNormalizer implements UserAgentNormalizer {

	/**
	 * Return the firefox string with the major and minor version only  
	 *
	 * @param userAgent
	 * @return String
	 */
	public String normalize(String userAgent) {
		
		String normalized = userAgent;
		
		if(StringUtils.contains(userAgent, "Firefox")) {
			int start = userAgent.indexOf("Firefox");
			normalized = StringUtils.substring(userAgent, start, start + 11);

		}
		
		return normalized;
	}

}
