/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request.normalizer.specific;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * <p>
 *  Normalizes lgtelecom user agents by removing all characters before
 *  the model name
 * <p>
 * @author Fantayeneh Asres Gizaw
 */
public class LGUPLUSNormalizer implements UserAgentNormalizer{

    private static final Pattern LGUPLUS_PATTERN = Pattern.compile("Mozilla.*lgtelecom;.*;(.*);.*");

    public String normalize(String userAgent) {
        Matcher matcher = LGUPLUS_PATTERN.matcher(userAgent);
        return matcher.matches() ? matcher.group(1) : userAgent;
    }
}
