/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request.normalizer.specific;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;
import org.apache.commons.lang.StringUtils;

public class MSIENormalizer implements UserAgentNormalizer {

    /**
     * Return MSIE String with the Major and Minor Version Only.
     *
     * @param userAgent
     * @return String
     */
    public String normalize(String userAgent) {
        if (StringUtils.contains(userAgent, "MSIE")) {
            return msieWithVersion(userAgent);
        }
        return userAgent;
    }

    private String msieWithVersion(String userAgent) {
        int index = userAgent.indexOf("MSIE");
        return StringUtils.substring(userAgent, 0, index+9);
	}
	
}
