/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request.normalizer.specific;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author Fantayeneh Asres Gizaw
 */
public class MozillaNormalizer implements UserAgentNormalizer {

    private static final Pattern MOZILLA_LANGUAGE_PATTERN = Pattern.compile("(; [a-z]{2}(-[a-zA-Z]{0,2})?)");

    public String normalize(String userAgent) {
        return userAgent.startsWith("Mozilla/") ? replaceLocale(userAgent) : userAgent;
    }

    private String replaceLocale(String userAgent) {
        Matcher matcher = MOZILLA_LANGUAGE_PATTERN.matcher(userAgent);
        return matcher.replaceFirst("");
    }

}
