/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.resource;

import net.sourceforge.wurfl.core.Constants;
import org.apache.commons.lang.text.StrBuilder;

/**
 * The device <i>generic</i> is not defined.
 * 
 * <p>
 * This Exception is thrown when the WURFLModel does not define the
 * <i>generic</i> device.
 * </p>
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: GenericNotDefinedException.java 633 2011-05-11 20:37:08Z ermanno.franco $
 */
public class GenericNotDefinedException extends WURFLConsistencyException {

	/** serial */
	private static final long serialVersionUID = 10L;

	/**
	 * Build this Exception.
	 */
	public GenericNotDefinedException() {
		super(new StrBuilder("Device: ").append(Constants.GENERIC).append(
				" is not defined").toString());
	}

}
