/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.resource;

import org.apache.commons.lang.text.StrBuilder;

/**
 * Inexistent group exception.
 * 
 * <p>
 * This Exception is thrown when a {@link ModelDevice} define a group not
 * defined by <code>generic</code>.
 * </p>
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: InexistentGroupException.java 633 2011-05-11 20:37:08Z ermanno.franco $
 */
public class InexistentGroupException extends GroupConsistencyException {

	/** serial */
	private static final long serialVersionUID = 10L;

	/**
	 * Build the Exception from {@link ModelDevice} definig the group and the
	 * object group.
	 * 
	 * @param device
	 *            A {@link ModelDevice} defining the group.
	 * @param group
	 *            The group object of this Exception.
	 */
	public InexistentGroupException(ModelDevice device, String group) {
		super(device, group, new StrBuilder("Device: ").append(device.getID()).append(
		" define unknow group: ").append(group).toString());
	}

}
