/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.resource;

/**
 * Date: 12/06/11
 * Runtime info to build a device with low performance impact.
 *
 * @author ermanno.franco@gmail.com
 * @since 1.3.0.2
 * $Id$
 */
public class ModelDeviceWithAncestorId {
    private final ModelDevice modelDevice;
    private final String ancestorId;


    public ModelDeviceWithAncestorId(ModelDevice modelDevice, String ancestorId) {
        this.modelDevice = modelDevice;
        this.ancestorId = ancestorId;
    }

    public ModelDevice getModelDevice() {
        return modelDevice;
    }

    public String getAncestorId() {
        return ancestorId;
    }
}
