/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.resource;

import net.sourceforge.wurfl.core.WURFLRuntimeException;

/**
 * Parsing exception.
 * <p/>
 * <p>
 * Exception thrown when wurfl file and patch files contains invalid values.
 * </p>
 *
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * @version $Id: WURFLParsingException.java 633 2011-05-11 20:37:08Z ermanno.franco $
 */
public class WURFLParsingException extends WURFLRuntimeException {

    /**
     * serial
     */
    private static final long serialVersionUID = 10L;

    public WURFLParsingException() {
        super();
    }

    public WURFLParsingException(String msg) {
        super(msg);
    }

    public WURFLParsingException(Throwable cause) {
        super(cause);
    }

    public WURFLParsingException(String msg, Throwable cause) {
        super(msg, cause);
    }

}
