/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.strategy;

import java.util.SortedSet;

/**
 * Match a string in a ordered set of string, returning the best match.
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: StringMatcher.java 672 2011-06-22 19:22:21Z ermanno.franco $
 */
public interface StringMatcher {

	/**
	 * Match the given user-agent to the user-agent map to obtain device id.
	 * 
	 * @param userAgentsSet
	 *            Had to containing the user-agent string naturally ordered.
	 * @param needle
	 *            The user-agent to match.
	 * @param tolerance
	 *            The tolerance accepted for the matching.
	 * @return The device id matched by the given user-agent.
	 */
	String match(SortedSet userAgentsSet, String needle, int tolerance);
}
