/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */

package net.sourceforge.wurfl.core.web;

import net.sourceforge.wurfl.core.WURFLHolder;

/**
 * Default web constants.
 * @author Ermanno Franco
 */
public interface WurflWebConstants {


    /**
     * Servlet context parameter contains the name of WURFLHolder parameter
     */
    String WURFL_HOLDER_KEY_PARAM = "wurflHolderKey";

    /**
     * Default Servlet Context attribute key for WURFLHolder: net.sourceforge.wurfl.core.WURFLHolder
     */
    String WURFL_HOLDER_KEY = WURFLHolder.class.getName();

    /**
     * ServletContext wurfl main file parameter
     */
    String WURFL = "wurfl";


    /**
     * Default location for wurfl root file, it is /WEB-INF/wurfl.zip
     */
    String WURFL_DEFAULT_LOCATION = "/WEB-INF/wurfl.zip";


}
